From pcihpd-discuss-admin@lists.sourceforge.net Fri Apr  8 16:58:23 2005
From: Rajesh Shah <rajesh.shah@intel.com>
To: gregkh@suse.de
Subject: [Pcihpd-discuss] [patch 3/5] Fix slot power-down problem with acpiphp
Date: Fri, 8 Apr 2005 16:54:00 -0700

Earlier I reported that Matthew's acpiphp rewrite had problem in 
powering down slot on my i386 system.  The following patch is 
needed to get the acpiphp rewrite properly powering down the slot.

Signed-off-by: Dely Sy <dely.l.sy@intel.com>
Signed-off-by: Greg Kroah-Hartman <gregkh@suse.de>
---

 linux-2.6.12-rc2-mm2-rshah1/drivers/pci/hotplug/acpiphp_glue.c |    4 ++--
 1 files changed, 2 insertions(+), 2 deletions(-)

diff -puN drivers/pci/hotplug/acpiphp_glue.c~acpiphp-eject-fix drivers/pci/hotplug/acpiphp_glue.c
--- linux-2.6.12-rc2-mm2/drivers/pci/hotplug/acpiphp_glue.c~acpiphp-eject-fix	2005-04-08 15:38:58.455409241 -0700
+++ linux-2.6.12-rc2-mm2-rshah1/drivers/pci/hotplug/acpiphp_glue.c	2005-04-08 15:38:58.563807677 -0700
@@ -600,7 +600,7 @@ static int power_off_slot(struct acpiphp
 	list_for_each (l, &slot->funcs) {
 		func = list_entry(l, struct acpiphp_func, sibling);
 
-		if (func->pci_dev && (func->flags & FUNC_HAS_PS3)) {
+		if (func->flags & FUNC_HAS_PS3) {
 			status = acpi_evaluate_object(func->handle, "_PS3", NULL, NULL);
 			if (ACPI_FAILURE(status)) {
 				warn("%s: _PS3 failed\n", __FUNCTION__);
@@ -615,7 +615,7 @@ static int power_off_slot(struct acpiphp
 		func = list_entry(l, struct acpiphp_func, sibling);
 
 		/* We don't want to call _EJ0 on non-existing functions. */
-		if (func->pci_dev && (func->flags & FUNC_HAS_EJ0)) {
+		if (func->flags & FUNC_HAS_EJ0) {
 			/* _EJ0 method take one argument */
 			arg_list.count = 1;
 			arg_list.pointer = &arg;
_


-------------------------------------------------------
SF email is sponsored by - The IT Product Guide
Read honest & candid reviews on hundreds of IT Products from real users.
Discover which products truly live up to the hype. Start reading now.
http://ads.osdn.com/?ad_id=6595&alloc_id=14396&op=click
_______________________________________________
Pcihpd-discuss mailing list
Pcihpd-discuss@lists.sourceforge.net
https://lists.sourceforge.net/lists/listinfo/pcihpd-discuss

